package com.inkasso.factoring.system.role.service;

import com.inkasso.adapter.service.KafubaoService;
import com.inkasso.factoring.system.role.entity.RoleDO;
import com.inkasso.factoring.system.role.model.dto.RoleDTO;
import com.inkasso.factoring.system.role.model.request.AddRoleRequest;
import com.inkasso.factoring.system.role.model.request.EditRoleRequest;

import java.util.List;

/**
* @author 张超
* @date  2023-08-15
*/
  public interface RoleService extends KafubaoService<RoleDO,RoleDTO> {

  /**
  * 添加操作
  * @param addRoleRequest
  */
  void addRole(AddRoleRequest addRoleRequest);


  /**
  * 编辑操作
  * @param editRoleRequest
  */
  void editRole(EditRoleRequest editRoleRequest);

  /**
  * 通过id获取详细信息
  * @param id
  */
    RoleDTO getRoleDtoById(Long id);

  /**
  * 删除
  */
  void deleteRole(Long id);

  /**
   *
   * @param userId
   * @param tenantId
   * @return
   */
  List<RoleDTO> getByUserIdAndTenantId(Long userId, Long tenantId);




}

